CREATE OR ALTER PROCEDURE Person.UpdatePersonDetails
    @FirstName NVARCHAR(50),
    @LastName NVARCHAR(50)
AS
BEGIN;
SET NOCOUNT ON;

BEGIN TRANSACTION;

UPDATE Person.Person
SET LastName = @LastName
WHERE FirstName = @FirstName;

WAITFOR DELAY '00:00:03';

SELECT *
FROM Person.Address AS a;

ROLLBACK TRANSACTION;
END;
GO

CREATE OR ALTER PROCEDURE Person.UpdateAddressDetails @ModifiedDate DATETIME
AS
BEGIN;
SET NOCOUNT ON;
BEGIN TRANSACTION;

UPDATE Person.Address
SET ModifiedDate = @ModifiedDate;

WAITFOR DELAY '00:00:10';

SELECT *
FROM Person.Person AS p;

ROLLBACK TRANSACTION;
END;
GO